/**
 * Created by robin on 11/3/15.
 */


(function () {
    'use strict';

    angular.module('luticateUtils').
    controller('luticateDialogOkCancel', ['$scope', 'data',
        function ($scope, data) {
            $scope.text = data.text;
            $scope.title = data.title;
            $scope.submitForm = function()
            {
                $scope.$close();
            };
        }]);

    angular.module('luticateUtils')
        .factory('luticateDialogOkCancelHelper', ['dialogs', function (dialogs) {

            var luticateDialogOkCancelHelper = {};

            luticateDialogOkCancelHelper.okCancelDialog = function(data)
            {
                return dialogs.create('/luticateUtils/dialogokcancel-dialog.html', 'luticateDialogOkCancel', data, {});
            };

            return luticateDialogOkCancelHelper;
        }]);

    angular.module("luticateUtils").run(["$templateCache", function($templateCache)
    {
        $templateCache.put("/luticateUtils/dialogokcancel-dialog.html",
            '<dialog-ok-cancel title="{{ title }}">' +
            '    <div class="modal-body">{{ text }}</div>' +
            '</dialog-ok-cancel>')
    }]);
})();